package com.ruoyi.quote.domain;

/**
 * @title CalculateRBParamDto
 * @description 用于接受前端传过来的型号规格参数
 * @author JIAL
 * @updateTime 2024/3/6 15:18
 */
public class CalculateRBParamDto {
    private String model;
    private String specification;
    private String voltLevel;

    private String redBookVer;              //红本版本号

    private String redBookPrice;            //红本价格

    private String redBookCost;             //红本成本

    private String rbFacPrice;              //红本厂价

    public String getRedBookVer() {
        return redBookVer;
    }

    public void setRedBookVer(String redBookVer) {
        this.redBookVer = redBookVer;
    }

    public String getRedBookPrice() {
        return redBookPrice;
    }

    public void setRedBookPrice(String redBookPrice) {
        this.redBookPrice = redBookPrice;
    }

    public String getRedBookCost() {
        return redBookCost;
    }

    public void setRedBookCost(String redBookCost) {
        this.redBookCost = redBookCost;
    }

    public String getRbFacPrice() {
        return rbFacPrice;
    }

    public void setRbFacPrice(String rbFacPrice) {
        this.rbFacPrice = rbFacPrice;
    }

    public String getVoltLevel() {
        return voltLevel;
    }

    public void setVoltLevel(String voltLevel) {
        this.voltLevel = voltLevel;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getSpecification() {
        return specification;
    }

    public void setSpecification(String specification) {
        this.specification = specification;
    }

    // 省略构造函数、getter和setter
}